using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Models.Jeux.Plateau;

namespace TestUnit
{
    public class DameTest
    {
        [Fact]
        public void TestConstructorValid() 
        {
            Case c = new Case(Couleur.BLANC, 0,0);
            Dame d = new Dame(Couleur.BLANC, c);

            Assert.NotNull(d);
            Assert.Equal(c, d.Pos);
            Assert.Equal(Couleur.BLANC, d.CouleurPion);
        }

    }
}
